Package org.springframework.security.web.authentication.rememberme

# Enum Class TokenBasedRememberMeServices.RememberMeTokenAlgorithm

java.lang.Object
java.lang.Enum<TokenBasedRememberMeServices.RememberMeTokenAlgorithm>
org.springframework.security.web.authentication.rememberme.TokenBasedRememberMeServices.RememberMeTokenAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<TokenBasedRememberMeServices.RememberMeTokenAlgorithm>`, `Constable`

Enclosing class:
  TokenBasedRememberMeServices

public static enum TokenBasedRememberMeServices.RememberMeTokenAlgorithm extends Enum<TokenBasedRememberMeServices.RememberMeTokenAlgorithm>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MD5`
`SHA256`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigestAlgorithm()`
`static TokenBasedRememberMeServices.RememberMeTokenAlgorithm`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TokenBasedRememberMeServices.RememberMeTokenAlgorithm[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MD5

public static final TokenBasedRememberMeServices.RememberMeTokenAlgorithm MD5

### SHA256

public static final TokenBasedRememberMeServices.RememberMeTokenAlgorithm SHA256

## Method Details

### values

public static TokenBasedRememberMeServices.RememberMeTokenAlgorithm[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TokenBasedRememberMeServices.RememberMeTokenAlgorithm valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDigestAlgorithm

public String getDigestAlgorithm()